Name: kde4-rasterblaster
Version: 4.3.4
Release: %mkrel 4
Summary: Graphics Raster mod to speed up KDE4
Group: Graphical desktop/KDE4
License: GPL
Requires: kde-workspace >= 4.3.4
Requires: perl
BuildArch:      noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
This package will apply a mod to startkde and plasma-desktop
utilizing the graphics raster subsystem to speed up KDE 4. If you 
experience undesirable results then simply remove this package. 

You will need to log out and back in again to active the changes.


%files

%post          
perl -pi -e "s|kwrapper4 ksmserver $KDEWM|kwrapper4 ksmserver -graphicssystem raster $KDEWM|" %_bindir/startkde
perl -pi -e "s|Exec=plasma-desktop|Exec=plasma-desktop -graphicssystem raster|" %_datadir/autostart/plasma-desktop.desktop

%postun
perl -pi -e "s|kwrapper4 ksmserver -graphicssystem raster $KDEWM|kwrapper4 ksmserver $KDEWM|" /usr/bin/startkde
perl -pi -e "s|Exec=plasma-desktop -graphicssystem raster|Exec=plasma-desktop|" %_datadir/autostart/plasma-desktop.desktop



%changelog
* Mon Jun 25 2012 Neal <nealbrks0 at gmail dot com> 4.3.4-4pclos2012
- process

* Mon Jun 25 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 4.3.4-4_archie_2012
- rebuild

* Mon Feb 21 2011 texstar <texstar.com>
- rebuild against kde 4.6.0

* Thu Jan 28 2010 Texstar <texstar at gmail.com> 4.3.4-2pclos2010
- rebuild

* Sat Dec 05 2009 Texstar <texstar at gmail.com> 2010-3pclo2010
- 4.3.4

* Wed Nov 18 2009 Texstar <texstar at gmail.com> 2010-2pclos2010
- rebuild

* Tue Oct 13 2009 Texstar <texstar at gmail.com> 2010-1pclos2010
- create package


